repo/gentoo:master commit in: dev-libs/c-blosc2/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786069742.05d765f8b4ee3170bc5c01729284dcc8e342f093.mgorny@gentoo>
commit:     05d765f8b4ee3170bc5c01729284dcc8e342f093
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Aug  7 02:11:54 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug  7 02:29:02 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=05d765f8

dev-libs/c-blosc2: Bump to 3.3.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-libs/c-blosc2/Manifest              |  1 +
 dev-libs/c-blosc2/c-blosc2-3.3.2.ebuild | 63 +++++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/dev-libs/c-blosc2/Manifest b/dev-libs/c-blosc2/Manifest
index 1793ab4bb6da..3f1b94b000c0 100644
--- a/dev-libs/c-blosc2/Manifest
+++ b/dev-libs/c-blosc2/Manifest
@@ -3,3 +3,4 @@ DIST c-blosc2-3.1.5.gh.tar.gz 1868284 BLAKE2B ade81a92481b6fd18d1f6f2f9b3e3dd3b3
 DIST c-blosc2-3.2.3.gh.tar.gz 1917875 BLAKE2B 58b7f82ea0df527a65ad4e9e714aafd87f63e33d1995da374bceda11bd7bcdf21feb3e3b7651efceaba0ecf2d457d09610ac8694b30b687fd6d1b7f9d07710d2 SHA512 08054ae218d5be8e2e3a7b2fcd9254b808ea8e5f6b4ed14c8c45423689d66eaec28b8e42186b282c246a406d9903794344a175eef7012181abe69e32eef16ecc
 DIST c-blosc2-3.3.0.gh.tar.gz 1931411 BLAKE2B 21550842181997519a7b423a924ec436e771f6ac1bced0b465095a9606a216d090d1a02e01cad26f4e6f6a552f57ab70c435b7eb5f92fc04ccf62c859058b53d SHA512 66d4d52981b055431ab37615ebe2d6a1da7fe4f1f1a957c85dcf51cbfe9a03cdbc75b716da85678abbabb86bfad43605d906128ea4197051c3b38ba6c8d54b5c
 DIST c-blosc2-3.3.1.gh.tar.gz 1944808 BLAKE2B 1ccc131d42b5b46945b3fd76514e6ae69702309e3b5e8f8f8b84dd4cc155444db5e19150f560ead469235b5da1dbd226d7d538bde804810619f792fd5b85ff3d SHA512 ca787e37122f576486912b79047f5f25d74a67a98c23d7c4292513888c118507814d28df6dfeec338684da4b776b17ce8d5da3ee7ac879514bc6f4ca3ae78650
+DIST c-blosc2-3.3.2.gh.tar.gz 1946986 BLAKE2B cea64e315a90cfe9fbe82a1dd67b3b49e65e5a082039260f53d8e2f3bb654677f1348bc1b3c5c1f8d74549a910e5700e89123ec3ce58fdf02553ec7d43e19564 SHA512 46ef74110fcee712b90543b54116c74dde27604ba17496737ff07c8b236db035e5758ed293cd60b17c10769b0ba19800ca8e6662e4ce325d97eca7433435b7ec

diff --git a/dev-libs/c-blosc2/c-blosc2-3.3.2.ebuild b/dev-libs/c-blosc2/c-blosc2-3.3.2.ebuild
new file mode 100644
index 000000000000..64e2b9a915f9
--- /dev/null
+++ b/dev-libs/c-blosc2/c-blosc2-3.3.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Blocking, shuffling and lossless compression library"
+HOMEPAGE="
+	https://blosc.org/c-blosc2/c-blosc2.html
+	https://github.com/Blosc/c-blosc2/
+"
+SRC_URI="
+	https://github.com/Blosc/c-blosc2/archive/v${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0/9"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="test +zlib +zstd"
+REQUIRED_USE="test? ( zlib zstd )"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+	>=app-arch/lz4-1.7.5:=
+	zlib? ( virtual/zlib:= )
+	zstd? ( app-arch/zstd:= )
+"
+RDEPEND="
+	${DEPEND}
+"
+
+src_configure() {
+	# remove bundled libs (just in case)
+	rm -rf internal-complibs || die
+
+	local mycmakeargs=(
+		-DBUILD_STATIC=OFF
+		-DBUILD_TESTS=$(usex test)
+		-DBUILD_BENCHMARKS=OFF
+		-DBUILD_EXAMPLES=OFF
+		-DBUILD_FUZZERS=OFF
+		-DDEACTIVATE_ZLIB=$(usex !zlib)
+		-DDEACTIVATE_ZSTD=$(usex !zstd)
+		# TODO: import dev-libs/zfp::guru
+		-DBLOSC_ENABLE_ZFP=OFF
+		-DBLOSC_DEPENDENCY_MODE=EXTERNAL
+
+		# force regular zlib, at least for  the time being
+		-DCMAKE_DISABLE_FIND_PACKAGE_ZLIB_NG=ON
+
+		# upstream overrides CMAKE_C_FLAGS, preventing ${CFLAGS} defaults
+		# from applying, https://github.com/Blosc/c-blosc2/issues/433
+		-DCMAKE_C_FLAGS="${CFLAGS}"
+	)
+	cmake_src_configure
+}
+
+src_test() {
+	# Tests fail in parallel, https://github.com/Blosc/c-blosc2/issues/432
+	cmake_src_test -j1
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.